Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

API/Repository/Values/ContentType/FieldDefinition.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\API\Repository\Values\ContentType;
8
9 use eZ\Publish\API\Repository\Values\ValueObject;
10 use eZ\Publish\SPI\Repository\Values\MultiLanguageName;
11 use eZ\Publish\SPI\Repository\Values\MultiLanguageDescription;
12
30 abstract class FieldDefinition extends ValueObject implements MultiLanguageName, MultiLanguageDescription
31 {
37 protected $id;
38
44 protected $identifier;
45
51 protected $fieldGroup;
52
58 protected $position;
59
65 protected $fieldTypeIdentifier;
66
72 protected $isTranslatable;
73
79 protected $isRequired;
80
86 protected $isInfoCollector;
87
93 abstract public function getValidatorConfiguration();
94
100 abstract public function getFieldSettings();
101
107 protected $defaultValue;
108
114 protected $isSearchable;
115
121 protected $mainLanguageCode;
122 }
eZ\Publish\API\Repository\Values\ContentType\FieldDefinition
Definition: API/Repository/Values/ContentType/FieldDefinition.php:31
eZ\Publish\API\Repository\Values\ContentType\FieldDefinition\$fieldTypeIdentifier
$fieldTypeIdentifier
Definition: API/Repository/Values/ContentType/FieldDefinition.php:65
eZ\Publish\API\Repository\Values\ContentType\FieldDefinition\$isTranslatable
$isTranslatable
Definition: API/Repository/Values/ContentType/FieldDefinition.php:72
eZ\Publish\API\Repository\Values\ContentType\FieldDefinition\$mainLanguageCode
$mainLanguageCode
Definition: API/Repository/Values/ContentType/FieldDefinition.php:121
eZ\Publish\API\Repository\Values\ContentType\FieldDefinition\$id
$id
Definition: API/Repository/Values/ContentType/FieldDefinition.php:37
eZ\Publish\API\Repository\Values\ContentType\FieldDefinition\$identifier
$identifier
Definition: API/Repository/Values/ContentType/FieldDefinition.php:44
eZ\Publish\API\Repository\Values\ContentType\FieldDefinition\$isRequired
$isRequired
Definition: API/Repository/Values/ContentType/FieldDefinition.php:79
eZ\Publish\API\Repository\Values\ContentType\FieldDefinition\$defaultValue
$defaultValue
Definition: API/Repository/Values/ContentType/FieldDefinition.php:107
eZ\Publish\API\Repository\Values\ContentType\FieldDefinition\$position
$position
Definition: API/Repository/Values/ContentType/FieldDefinition.php:58
eZ\Publish\API\Repository\Values\ContentType\FieldDefinition\$fieldGroup
$fieldGroup
Definition: API/Repository/Values/ContentType/FieldDefinition.php:51
eZ\Publish\API\Repository\Values\ContentType\FieldDefinition\$isInfoCollector
$isInfoCollector
Definition: API/Repository/Values/ContentType/FieldDefinition.php:86
eZ\Publish\API\Repository\Values\ContentType\FieldDefinition\$isSearchable
$isSearchable
Definition: API/Repository/Values/ContentType/FieldDefinition.php:114
eZ\Publish\API\Repository\Values\ContentType\FieldDefinition\getFieldSettings
getFieldSettings()
This method returns settings for the field definition supported by the field type.
eZ\Publish\API\Repository\Values\ContentType\FieldDefinition\getValidatorConfiguration
getValidatorConfiguration()
This method returns the validator configuration of this field definition supported by the field type.
eZ\Publish\API\Repository\Values\ValueObject
Definition: API/Repository/Values/ValueObject.php:21
eZ\Publish\SPI\Repository\Values\MultiLanguageDescription
This is the interface for all ValueObjects implementing translated description logic.
Definition: MultiLanguageDescription.php:18
eZ\Publish\SPI\Repository\Values\MultiLanguageName
This is the interface for all ValueObjects implementing translated name logic.
Definition: MultiLanguageName.php:19
eZ\Publish\API\Repository\Values\ContentType
Definition: API/Repository/Values/ContentType/ContentType.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.